# Menu ARIA Controls

This JavaScript module is designed to enhance accessibility in menus by dynamically attaching ARIA attributes to menu items within a Drupal site menu. It specifically targets menus with the class `.c-menu` and applies ARIA attributes to improve screen reader support.

## Features

- **Dynamic ARIA Attribute Assignment:** Automatically assigns `aria-haspopup`, `aria-controls`, and `aria-label` attributes to menu buttons to indicate the presence of submenus and their relationship to parent menu items.
- **Submenu Identification:** Utilizes a data attribute (`data-plugin-id`) on each button to generate unique IDs for submenus, facilitating the linkage between the button and its corresponding submenu.

## How It Works

1. The script targets all elements with the class `.c-menu` within the provided context.
2. It then searches for top-level menu buttons within these menus.
3. For each button, it checks if a submenu is present. If so, it:
   - Generates a unique ID for the submenu based on the button's `data-plugin-id`.
   - Assigns this ID to the submenu and links it to the button using `aria-controls`.
   - Sets `aria-haspopup` to `true` on the button to indicate the presence of a submenu.
   - Updates the button's `aria-label` with its text content for better context in screen readers.

## Usage

This module is automatically attached to Drupal behaviors and requires no additional initialization.
