(function (Drupal) {
  /*------------------------------------*\
    - 01 - Drupal Aria Controls
    Attach aria controls to menu items
  \*------------------------------------*/
  Drupal.behaviors.ariaControls = {
    attach: function (context) {
      once('ariaControls', '.c-menu', context).forEach(function (menu) {
        // Find top level menu buttons
        const buttons = menu.querySelectorAll(':scope button.menu__link');

        // Add aria controls for buttons & related submenus
        buttons.forEach(function (button) {
          const id = button.getAttribute('data-plugin-id');
          button.setAttribute('aria-haspopup', 'true');

          const submenu = button.nextElementSibling;
          if (submenu) {
            const submenuId = `panel-${id}`;
            submenu.setAttribute('id', submenuId);
            button.setAttribute('aria-controls', submenuId);
            button.setAttribute('aria-label', button.textContent.trim());
          }
        });
      });
    },
  };
})(Drupal);
